// logical EX-OR
//
//  ___________
//  |         |
//  |         |
//  |        7| --> led
//  |         | 
//  |        4| <-- swB
//  |        2| <-- swA
//  --\___/---
//


int led = 7;
int swA = 2, swB=4;
int stateA = 0, stateB=0;

void setup(){
  pinMode(led, OUTPUT);
  pinMode(swA, INPUT);
  pinMode(swB, INPUT);
}

void loop(){
  stateA = digitalRead(swA);
  stateB = digitalRead(swB);
  if((!stateA && stateB)||(stateA && !stateB)){
    digitalWrite(led, HIGH);
  }else{
    digitalWrite(led, LOW);    
  }
}
